Bug 980587 - Upgrade from F18 to F19 via FedUp on encrypted system (luks/dm-crypt, no LVM), can't boot normally
Upgrade from F18 to F19 via FedUp on encrypted system (luks/dm-crypt, no LVM)...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 15:11 EDT by Garve
Modified: 2013-08-01 12:27 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 04:14:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garve 2013-07-02 15:11:17 EDT
Description of problem:
After upgrading from F18 to F19 via FedUp I can't boot Fedora normally anymore. The password prompt appears, I type the password, then the prompt keeps appearing again and again. After some trials I end up in dracut.

If I choose the Rescue entry in GRUB it starts normally like before, when I used F18.

Version-Release number of selected component (if applicable):


How reproducible:
Start Fedora 19, use any GRUB option except for rescue mode.

Steps to Reproduce:
1.
2.
3.

Actual results:
Can't boot.

Expected results:
Boot normally.

Additional info:
The last errors are

[DEPEND] Dependency failed for Encrypted Volumes.
[DEPEND] Dependency failed for Initrd Default Target.
[FAILED] Failed to start Cryptography Setup for luks-<number>
Comment 1 Harald Hoyer 2013-07-03 08:05:32 EDT
Does a:

# dracut --regenerate-all --force

cure the problem?
Comment 2 Garve 2013-07-03 10:54:21 EDT
Hi, Harald.

Yes it works indeed, thank you very much!
Comment 3 Fabian Deutsch 2013-08-01 12:22:19 EDT
I'm facing the same problem after an update from F18 to F19 using fedup.

But running the command given in comment #1 doesn't solve the problem for me.
Comment 4 Fabian Deutsch 2013-08-01 12:27:57 EDT
ah no, I've got a slightly different error  msg. Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.